=== added directory 'scripts'
=== added file 'scripts/verify-dependencies.sh'
--- scripts/verify-dependencies.sh	1970-01-01 00:00:00 +0000
+++ scripts/verify-dependencies.sh	2011-07-07 18:22:46 +0000
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+DEPS_PACKAGE=ubuntu-webcatalog-dependencies
+REQUIRED_VERSION=11.07.2~0.IS.10.04
+
+if test `dpkg -l $DEPS_PACKAGE 2> /dev/null |grep ^ii|wc -l` -eq 1; then
+    INSTALLED_VERSION=`dpkg-query -W -f '${Version}\n' $DEPS_PACKAGE`
+    if test $REQUIRED_VERSION = $INSTALLED_VERSION; then
+      echo "Version of $DEPS_PACKAGE is OK"
+    else
+        echo "Incorrect version of $DEPS_PACKAGE is installed."
+        echo "Required version is $REQUIRED_VERSION"
+        echo "Installed version is $INSTALLED_VERSION"
+        exit 1
+    fi
+else
+    echo "$DEPS_PACKAGE not installed."
+    exit 1
+fi

